---
title: Paging Through the Events Log
slug: zen-master-api/paging-through-the-events-log
docTags: 
createdAt: 2025-09-17T21:40:16.041Z
---

Zen Master maintains a comprehensive event log that tracks system activities, including connections, errors, and disconnections. These events are recorded for both infrastructure resources (ZECs, Feeders, Broadcasters, and Receivers) and Zen Master entities (Sources, Channels, and Targets).

ZEN Master API provides a large set of query parameters to customize the response.

# Pagination

The ZEN Master API provides the `GET /events` endpoint to return your events log:

- The page size is set to return 1000 event objects per request.
- The `offset` query parameter allows you to return the next page of results.

## Steps

Here is an example for paging through the events log using Postman.

::::WorkflowBlock
:::WorkflowBlockItem
In Postman, expand the **ZEN Master API&#x20;**&#x63;ollection.

::Image[]{src="https://app.archbee.com/api/optimize/mzxtTQEvCNIdUNgF2kuwJ/iFegEreO6mVt1yoRzC9H-_image.png" size="74" width="770" height="394" position="center" alt="ZEN Master API Collection" showCaption="false"}
:::

:::WorkflowBlockItem
Expand the **events** folder and select **GET List events log**.

::Image[]{src="https://app.archbee.com/api/optimize/mzxtTQEvCNIdUNgF2kuwJ/mpJa9pTskTvfRmqNBsJlO_image.png" size="64" width="580" height="234" position="center" alt="events folder" showCaption="false"}
:::

:::WorkflowBlockItem
Select and add values to any query parameters to limit the API response. Click **Send**.

![Query Parameters](https://app.archbee.com/api/optimize/mzxtTQEvCNIdUNgF2kuwJ/UDqcka2PZ5BwwPhsJiRhj_image.png)
:::

:::WorkflowBlockItem
The API response body will contain a set of up to 1000 event objects.

![Events request response](https://app.archbee.com/api/optimize/mzxtTQEvCNIdUNgF2kuwJ/XfrVn95SG7mN3KdJVKbQl_image.png)
:::

:::WorkflowBlockItem
To get the next set of 1000 event objects, scroll down to the last object in the response list.

- Copy the event `id.`
- Copy the `event_date` (we'll use this for verification).
:::

:::WorkflowBlockItem
Select the `offset` query parameter and paste the value of the last event `id`. Click **Send**.

![Use the last event ID as the offset value](https://app.archbee.com/api/optimize/mzxtTQEvCNIdUNgF2kuwJ/BpiJa8QpsmGMbdmAoC0HW_image.png)
:::

:::WorkflowBlockItem
The response will be another set of up to 1000 event objects. The first event `id` should be the next event. You can verify this by checking that the `event_date` of this set's first object is later than the previous set's last object.
:::

:::WorkflowBlockItem
Now that you have paging of the event log working in Postman, you can use this technique in your scripting language.
:::
::::



